Package org.apache.sling.cms.core.internal.models

## Class FileManagerImpl

- java.lang.Object
- - org.apache.sling.cms.core.internal.models.FileManagerImpl

All Implemented Interfaces:
  `FileManager`

    @Model(adaptables=org.apache.sling.api.resource.Resource.class,
           adapters=org.apache.sling.cms.FileManager.class)
    public class FileManagerImpl
    extends Object
    implements FileManager

A model used to retrieve files.

### Constructor Summary

Constructors
`FileManagerImpl​(org.apache.sling.api.resource.Resource containingResource)`

### Method Summary

All Methods Instance Methods Concrete Methods
`File` `getFile()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### FileManagerImpl

    public FileManagerImpl​(org.apache.sling.api.resource.Resource containingResource)

### Method Detail

#### getFile

    public File getFile()

Specified by:
  `getFile` in interface `FileManager`